com.sun.jna.platform.win32.COM.util

## Class ComEventCallbackCookie

- java.lang.Object
- - com.sun.jna.platform.win32.COM.util.ComEventCallbackCookie

- All Implemented Interfaces:
    IComEventCallbackCookie

      public class ComEventCallbackCookie
      extends java.lang.Object
      implements IComEventCallbackCookie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) WinDef.DWORD` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComEventCallbackCookie(WinDef.DWORD value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.DWORD` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          WinDef.DWORD value

  - ### Constructor Detail

    - #### ComEventCallbackCookie

          public ComEventCallbackCookie(WinDef.DWORD value)

  - ### Method Detail

    - #### getValue

          public WinDef.DWORD getValue()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.